package main

import (
	"fmt"
	"os"

	"github.com/kamva/mgm/v3"
	"go.mongodb.org/mongo-driver/mongo/options"
)

// database
var (
	portEnv     = "DATABASE_PORT"
	hostnameEnv = "DATABASE_HOSTNAME"

	port     = "27017"
	hostname = "database"
)

func init() {
	portTemp, ok := os.LookupEnv(portEnv)
	if ok {
		port = portTemp
	}

	hostnameTemp, ok := os.LookupEnv(hostnameEnv)
	if ok {
		hostname = hostnameTemp
	}

	// Setup the mgm default config
	err := mgm.SetDefaultConfig(nil, "notar-e-anotar", options.Client().ApplyURI(fmt.Sprintf("mongodb://%s:%s", hostname, port)))
	if err != nil {
	}
}
